<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\Anmeldung\KinderDialog;

class KinderDialogView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'veranstalter/anmeldung/kinder_dialog.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    static $dm = null;
    if (is_null($dm)) {
      $dm = new \Datamodul();
      $dm->kinderfrei = $this->viewModel->kinderfrei;
      $dm->readonly = $this->viewModel->readonly;
    }

    return array($dm);
  }
}

class KinderDialogViewModel
{
  public $kinderfrei;
  public $readonly;
}